## ros-kinetic-cob-bringup-sim 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_bringup_sim)

find_package(catkin REQUIRED)

catkin_package()

### TEST ###
if(CATKIN_ENABLE_TESTING)
  find_package(cob_default_env_config REQUIRED)
  find_package(cob_supported_robots REQUIRED)
  find_package(roslaunch REQUIRED)
  foreach(robot ${cob_supported_robots_ROBOTLIST})
    foreach(env ${cob_default_env_config_ENVLIST})
      message("testing for robot: ${robot} in env: ${env}")
      #roslaunch_add_file_check(launch robot:=${robot} robot_env:=${env})
      roslaunch_add_file_check(launch ROBOT=${robot} ROBOT_ENV=${env})
    endforeach()
  endforeach()
endif()

### INSTALL ###
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-bringup-sim (0.7.5-1xenial) xenial; urgency=high

  * Merge pull request #178 <https://github.com/ipa320/cob_simulation/issues/178> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-bringup-sim (0.7.4-1xenial) xenial; urgency=high

  * Merge pull request #174 <https://github.com/ipa320/cob_simulation/issues/174> from fmessmer/ci_updates
    [travis] ci updates
  * fix test dependendies
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-bringup-sim (0.7.3-1xenial) xenial; urgency=high

  * Merge pull request #172 <https://github.com/ipa320/cob_simulation/issues/172> from fmessmer/cob_gazebo_tools
    new package cob_gazebo_tools
  * move scripts to cob_gazebo_tools
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-bringup-sim (0.7.2-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 09 Aug 2019 22:00:00 -0000

ros-kinetic-cob-bringup-sim (0.7.1-1xenial) xenial; urgency=high

  * Merge pull request #167 <https://github.com/ipa320/cob_simulation/issues/167> from floweisshardt/feature/spawn_with_explicit_package_and_type
    allow explicit definition of package and type for spawn object
  * fix xacro file type
  * fix naming of objects
  * allow explicit definition of package and type for spawn object
  * Merge pull request #166 <https://github.com/ipa320/cob_simulation/issues/166> from floweisshardt/fix/add_dependency_to_cob_gazebo_objects
    add dependency to cob_gazebo_objects which is used in spawn_object.py
  * add dependency to cob_gazebo_objects which is used in spawn_object.py
  * Contributors: Felix Messmer, floweisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-bringup-sim (0.7.0-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 06 Aug 2019 22:00:00 -0000

ros-kinetic-cob-bringup-sim (0.6.10-1xenial) xenial; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-bringup-sim (0.6.9-1xenial) xenial; urgency=high

  * Merge pull request #160 <https://github.com/ipa320/cob_simulation/issues/160> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #156 <https://github.com/ipa320/cob_simulation/issues/156> from ipa-fxm/add_move_initialpose_mode
    add move_initialpose mode
  * add move_initialpose mode
  * Merge pull request #154 <https://github.com/ipa320/cob_simulation/issues/154> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #151 <https://github.com/ipa320/cob_simulation/issues/151> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felx Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-bringup-sim (0.6.8-1xenial) xenial; urgency=high

  * refactored the code and added retreating model while on circular motion
  * provision for re-spawning the person object to the start, due to presence of obstacle
  * use xacro --inorder
  * allow single letter option for move_object
  * rospy.sleep exception handling
  * wait for models and cleanup
  * launch argument world_name
  * use exported robotlist and envlist
  * manually fix changelog
  * debug functionality
  * continue motion if object is far away enough
  * metavars for parser options
  * introduce stop_objects list and stop_distance
  * remove throttled
  * add missing robots to robotlist
  * added stopping of objects
  * Contributors: fmw-ss, hannes, ipa-fxm

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-kinetic-cob-bringup-sim (0.6.7-1xenial) xenial; urgency=high

  * Merge branch 'indigo_dev' into indigo_release_candidate
  * make roslaunch a denend (was only exec_depend)
  * Contributors: Florian Weisshardt

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 23 Oct 2016 22:00:00 -0000

ros-kinetic-cob-bringup-sim (0.6.6-1xenial) xenial; urgency=high

  * enable tests for ipa-office
  * fix roslaunch tests
  * fix roslaunch tests
  * delete ipa-factory
  * support relative defined objects in remove_objects.py and tabs vs spaces
  * Added feature of deleting multiple objects included in a group to script remove_object.py
  * enable roslaunch checks
  * remove prints and rename groups namespace
  * Updated structure of spawn_object.py to reduce code redundance
  * Added the functionality to spawn sdf's using spawn_object and a check if object is there before deleting it
  * Updated spawn objects script so that it takes object groups into account
  * generic wait for environment before spawn robot
  * spawn_object supports children objects
  * added script file to spawn racks and other objects
  * Contributors: Benjamin Maidel, Florian Weisshardt, ipa-fmw, ipa-fxm, ipa-mig-mc, ipa-nhg, ipa-srd-rd

 -- Nadia Hammoudeh Garcia <nhg@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-bringup-sim (0.6.5-1xenial) xenial; urgency=high

  * fix install tags and dependencies
  * fix move_object script
  * Update move.py
  * added people, move.py and changed model names
  * added people and the possibility to move objects
  * enable other gazebo worlds packages
  * remove robot_id
  * better default robot_id
  * delete two_robots.launch
  * Merge pull request #91 <https://github.com/ipa320/cob_simulation/issues/91> from ipa-mig-mc/fix/issue_number_90_missing_import_roslib
    added import roslib to spawn_object.py and did corresponding addition…
  * launch file for spawning two robots


=== debian/control ===
Source: ros-kinetic-cob-bringup-sim
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cob-default-env-config, ros-kinetic-cob-supported-robots, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/cob_bringup_sim
Standards-Version: 3.9.2

Package: ros-kinetic-cob-bringup-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cob-default-env-config, ros-kinetic-cob-default-robot-config, ros-kinetic-cob-gazebo, ros-kinetic-cob-gazebo-worlds, ros-kinetic-gazebo-ros
Description: This package provides launch files for starting a simulated Care-O-bot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-bringup-sim//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
